: Class RelationalTable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.JDBC
Class RelationalTable

    java.lang.Object
      |
      +--com.mortbay.JDBC.ColumnGroup
            |
            +--com.mortbay.JDBC.Table
                  |
                  +--com.mortbay.JDBC.RelationalTable

public abstract class RelationalTable
extends Table

Field Summary
`static int` | `FAKE_DELETE`
`static int` | `REAL_DELETE`

Fields inherited from class com.mortbay.JDBC.Table
`otherCols, otherKeys, primaryKey`

Fields inherited from class com.mortbay.JDBC.ColumnGroup
`columns`

Constructor Summary
`RelationalTable(java.lang.String name, Column[] cols, Database dtb, java.util.Hashtable deleteRelations, java.util.Hashtable nullRelations, java.util.Vector deleteRelationsVec, java.util.Vector nullRelationsVec, int deleteMethod, java.lang.String columnName, java.lang.Object deleteValue)`

Method Summary
`void` | `callDeleteRelations(java.lang.Object[] values)`
`void` | `callNullRelations(java.lang.Object[] values)`
`void` | `delete(java.lang.Object[] val)`
`void` | `setDeleteRelationWith(RelationalTable tbl, ColumnGroup cols)`
`void` | `setNullRelationWith(RelationalTable tbl, ColumnGroup cols)`

Methods inherited from class com.mortbay.JDBC.Table
`create, database, database, deleteRow, deleteRows, deleteRows, deleteRows, drop, getAdaptor, getDatabase, getRow, getRow, getRows, getRows, hasPrimary, newRow, toString`

Methods inherited from class com.mortbay.JDBC.ColumnGroup
`column, getName, index, main, toString, toString, toValuesString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REAL_DELETE

    public static int REAL_DELETE

### FAKE_DELETE

    public static int FAKE_DELETE

Constructor Detail

### RelationalTable

    public RelationalTable(java.lang.String name,
                           Column[] cols,
                           Database dtb,
                           java.util.Hashtable deleteRelations,
                           java.util.Hashtable nullRelations,
                           java.util.Vector deleteRelationsVec,
                           java.util.Vector nullRelationsVec,
                           int deleteMethod,
                           java.lang.String columnName,
                           java.lang.Object deleteValue)

Method Detail

### setDeleteRelationWith

    public void setDeleteRelationWith(RelationalTable tbl,
                                      ColumnGroup cols)

### setNullRelationWith

    public void setNullRelationWith(RelationalTable tbl,
                                    ColumnGroup cols)

### delete

    public void delete(java.lang.Object[] val)
                throws java.sql.SQLException

### callDeleteRelations

    public void callDeleteRelations(java.lang.Object[] values)
                             throws java.sql.SQLException

### callNullRelations

    public void callNullRelations(java.lang.Object[] values)
                           throws java.sql.SQLException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD